> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autorize.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar URLs de webhook

> Lista as URLs de webhook ativas da empresa dona da chave de API informada.



## OpenAPI

````yaml https://public-usuario-api.autorize.com.br/swagger/v1/swagger.json get /api/webhook-urls
openapi: 3.0.4
info:
  title: GCC Usuario Public API
  version: dev
servers:
  - url: https://public-usuario-api.autorize.com.br
    description: Produ??o
  - url: https://staging-usuario-public-api.autorize.com.br
    description: Staging
security: []
tags:
  - name: HashConsulta
  - name: SolicitacaoConsentimento
  - name: WebhookUrls
paths:
  /api/webhook-urls:
    get:
      tags:
        - WebhookUrls
      summary: Listar URLs de webhook
      description: >-
        Lista as URLs de webhook ativas da empresa dona da chave de API
        informada.
      parameters:
        - name: Api-Key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetWebhookUrlsListResult'
            application/json:
              schema:
                $ref: '#/components/schemas/GetWebhookUrlsListResult'
            text/json:
              schema:
                $ref: '#/components/schemas/GetWebhookUrlsListResult'
components:
  schemas:
    GetWebhookUrlsListResult:
      required:
        - data
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetWebhookUrlsListResultData'
      additionalProperties: false
    GetWebhookUrlsListResultData:
      required:
        - secretLastChars
        - tiposEvento
        - url
      type: object
      properties:
        id:
          type: string
          format: uuid
        url:
          type: string
        secretLastChars:
          type: string
        tiposEvento:
          type: array
          items:
            $ref: '#/components/schemas/WebhookTipoEvento'
        dataInclusao:
          type: string
          format: date-time
      additionalProperties: false
    WebhookTipoEvento:
      enum:
        - HashCriado
      type: string

````